<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/member-store-mine.js");
    loadJS(requireJS, "js/views/member-delete-order.js");
</script>

<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{storeMyPurchases}">Tienda - Mis Compras</small></h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-sm-12 col-md-12 col-sm-12 col-xs-12">
        <div class="dashboard_graph">
            <div class="row x_title">
                <div class="col-md-6">
                    <h3 th:text="#{members.store.myshopping}">Mis compras</h3>
                </div>                
            </div>
            <div class="col-sm-12 col-xs-12 bg-white">

                <div class="dashboard-widget-content">
                    <table class="countries_list">
                        <thead>
                            <tr>
                                <th th:text="#{orderNumber}" style='width: 15%'>Número de pedido</th>
                                <th th:text="#{date}" style='width: 10%'>Fecha</th>
                                <th th:text="#{orders.type}" style='width: 10%'>Tipo</th>
                                <th th:text="#{bonus.comment}" style='width: 30%'>Descripción</th>
                                <th th:text="#{price}" style='width: 12%'>Precio</th>
                                <th th:text="#{state-}" style='width: 12%'>Estado</th>
                                <th>&nbsp;</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${items}">
                                <td th:text="${item.id}"></td>
                                <td th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td>
                                    <span>
                                        <div th:switch="${item.type}" th:title="'Items ' + ${item.items.size()}">
                                            <span th:case="kit" class="label label-info" th:text="#{${item.type}}">Kit</span>
                                            <span th:case="product" class="label label-info" th:text="#{${item.type}}">Producto</span>
                                            <span th:case="mix" class="label label-success" th:text="#{${item.type}}">Mix</span>
                                            <span th:case="service" class="label label-warning" th:text="#{${item.type}}">Servicio</span>
                                            <span th:case="upgrade" class="label label-info" th:text="#{${item.type}}">Upgrade</span>
                                            <span th:case="store" class="label label-info" th:text="#{${item.type}}">Store</span>
                                            <span th:case="ticket" class="label label-warning" th:text="#{${item.type}}">Store</span>
                                            <span th:case="topup" class="label label-warning" th:text="#{${item.type}}">Recarga</span>
                                        </div>
                                    </span>
                                </td>
                                <td>
                                    <span th:if="${item.orderItem != null}" th:text="${item.storeTitle != null ? item.storeTitle : item.orderItem.name}" th:title="${item.storeTitle}"></span>
                                    <sup th:if="${item.installmentNumber != 0}" th:text="${item.installmentNumber}"></sup>
                                </td>
                                <td>
                                    <span th:text="${item.getPaymentAmountText()}"></span> 
                                </td>
                                <td>
                                    <span>
                                        <div th:switch="${item.status}" th:title="${item.comment}">
                                            <span th:case="paid" class="label label-success" th:text="#{${item.status}}"></span>
                                            <span th:case="pending" class="label label-danger" th:text="#{${item.status}}"></span>
                                            <span th:case="review" class="label label-warning" th:text="#{${item.status}}"></span>
                                            <span th:case="shipped" class="label label-info" th:text="#{${item.status}}"></span>
                                            <span th:case="delivered" class="label label-info" th:text="#{${item.status}}"></span>
                                            <span th:case="*" class="label label-default" th:text="${item.status}"></span>
                                        </div>
                                    </span>
                                </td>
                                <td>
                                    <a class="btn btn-success btn-sm" 
                                       th:href="'members/pay/' + ${item.id}"
                                       th:if="${item.status != 'paid'}">
                                        <i class="fa fa-bank" style="pointer-events: none;"></i>&nbsp;
                                        <span th:text="#{pay}" style="pointer-events: none;">Pagar</span>
                                    </a>
                                    <a class="btn btn-danger btn-sm delete-button"
                                       th:if="${item.status != 'paid'}"
                                       th:attr="data-id=${item.id}">
                                        <i class="fa fa-bank" style="pointer-events: none;"></i>&nbsp;
                                        <span th:text="#{btnDelete}" style="pointer-events: none;">Eliminar</span>
                                    </a>

                                    <a class="btn btn-success btn-sm action-button" 
                                       id="redeem-pack"
                                       th:attr="data-id=${item.id},data-name=${item.storeTitle}"
                                       th:if="${item.typeStatus == 'paid' && item.typeStatus != 'complete' && item.type == 'topup'}">
                                        <i class="fa fa-gift" style="pointer-events: none;"></i>&nbsp;
                                        <span th:text="#{redeem}" style="pointer-events: none;">Redimir</span>
                                    </a>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <br/>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</div>